<?xml version="1.0" encoding="utf-8"?>
   <!--

        Copyright 2013, Qualcomm Innovation Center, Inc.

        All rights reserved.
        This file is licensed under the 3-clause BSD license in the NOTICE.txt
        file for this project. A copy of the 3-clause BSD license is found at:

        http://opensource.org/licenses/BSD-3-Clause.

        Unless required by applicable law or agreed to in writing, software
        distributed under the license is distributed on an "AS IS" BASIS,
        WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
        See the license for the specific language governing permissions and
        limitations under the license.

  -->
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="org.alljoyn.ioe.notificationviewer"
    android:versionCode="1000007"
    android:versionName="1.00.00.07" >

    <uses-sdk
        android:minSdkVersion="11"
        android:targetSdkVersion="17" />
    <!-- Permission required to use the TCP transport -->
    <uses-permission android:name="android.permission.INTERNET" >
    </uses-permission>
    <uses-permission android:name="android.permission.CHANGE_WIFI_MULTICAST_STATE" >
    </uses-permission>
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" >
    </uses-permission>
    <uses-permission android:name="android.permission.CHANGE_WIFI_STATE" >
    </uses-permission>
    <!-- Permission required to use the Bluetooth transport -->
    <uses-permission android:name="android.permission.BLUETOOTH" >
    </uses-permission>
    <uses-permission android:name="android.permission.BLUETOOTH_ADMIN" >
    </uses-permission>
    <uses-permission android:name="android.permission.RECEIVE_BOOT_COMPLETED" >
    </uses-permission>

    <application
        android:allowBackup="true"
        android:debuggable="false"
        android:icon="@drawable/ajnv_launcher"
        android:label="@string/app_name"
        android:theme="@style/AppTheme" >
        <service
            android:name="org.alljoyn.ioe.notificationviewer.NotificationViewer"
            android:enabled="true"
            android:exported="true" >
        </service>

        <receiver
            android:name="org.alljoyn.ioe.notificationviewer.BootReceiver"
            android:enabled="true"
            android:exported="true" >
            <intent-filter>
                <action android:name="android.intent.action.BOOT_COMPLETED" />
            </intent-filter>
        </receiver>

        <activity
            android:name="org.alljoyn.ioe.notificationviewer.DummyActivity"
            android:label="@string/app_name"
            android:theme="@android:style/Theme.Translucent.NoTitleBar" >
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />
                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
    </application>

</manifest>
